import UIKit
import SDWebImage

protocol BlockedUsersTableCellDelegate {
    func handleUnblockButtonTap(_ sender: UIButton)
}

class BlockedUsersTableCell: UITableViewCell {
    
    @IBOutlet weak var usernameLabel: UILabel!
    @IBOutlet weak var lastSeenLabel: UILabel!
    @IBOutlet weak var profileImage: UIImageView!
    @IBOutlet weak var unblockButton: UIButton!
    
    var delegate: BlockedUsersTableCellDelegate?
    
    override func awakeFromNib() {
        super.awakeFromNib()
        
    }

    override func setSelected(_ selected: Bool, animated: Bool) {
        super.setSelected(selected, animated: animated)
        
    }
    
    // Unblock Button Action
    @IBAction func unBlockButtonAction(_ sender: UIButton) {
        self.delegate?.handleUnblockButtonTap(sender)
    }
    
}
